org.hibernate.validator.internal.cfg.context

## Class ConfiguredConstraint<A extends Annotation>

- java.lang.Object
- - org.hibernate.validator.internal.cfg.context.ConfiguredConstraint<A>

-     public class ConfiguredConstraint<A extends Annotation>
      extends Object

  Represents a programmatically configured constraint and meta-data related to its location (bean type etc.).
  Author:
    Gunnar Morling

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `createAnnotationProxy()`
    `static <A extends Annotation> ConfiguredConstraint<A>` | `forExecutable(ConstraintDef<?,A> constraint, ExecutableElement executable)`
    `static <A extends Annotation> ConfiguredConstraint<A>` | `forParameter(ConstraintDef<?,A> constraint, ExecutableElement executable, int parameterIndex)`
    `static <A extends Annotation> ConfiguredConstraint<A>` | `forProperty(ConstraintDef<?,A> constraint, Member member)`
    `static <A extends Annotation> ConfiguredConstraint<A>` | `forType(ConstraintDef<?,A> constraint, Class<?> beanType)`
    `ConstraintDef<?,A>` | `getConstraint()`
    `Class<A>` | `getConstraintType()`
    `ElementType` | `getElementType()`
    `ConstraintLocation` | `getLocation()`
    `Map<String,Object>` | `getParameters()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### forType

          public static <A extends Annotation> ConfiguredConstraint<A> forType(ConstraintDef<?,A> constraint,
                                                               Class<?> beanType)

    - #### forProperty

          public static <A extends Annotation> ConfiguredConstraint<A> forProperty(ConstraintDef<?,A> constraint,
                                                                   Member member)

    - #### forParameter

          public static <A extends Annotation> ConfiguredConstraint<A> forParameter(ConstraintDef<?,A> constraint,
                                                                    ExecutableElement executable,
                                                                    int parameterIndex)

    - #### forExecutable

          public static <A extends Annotation> ConfiguredConstraint<A> forExecutable(ConstraintDef<?,A> constraint,
                                                                     ExecutableElement executable)

    - #### getConstraint

          public ConstraintDef<?,A> getConstraint()

    - #### getLocation

          public ConstraintLocation getLocation()

    - #### getConstraintType

          public Class<A> getConstraintType()

    - #### getParameters

          public Map<String,Object> getParameters()

    - #### createAnnotationProxy

          public A createAnnotationProxy()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getElementType

          public ElementType getElementType()

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved